org.eclipse.emf.cdo.common.model

## Enum CDOFeatureType

- java.lang.Object
- - java.lang.Enum<CDOFeatureType>
  - - org.eclipse.emf.cdo.common.model.CDOFeatureType

- All Implemented Interfaces:
    Serializable, Comparable<CDOFeatureType>

      public enum CDOFeatureType
      extends Enum<CDOFeatureType>

  Since:
    4.5
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `ATTRIBUTE`
    `CONTAINER`
    `CONTAINMENT`
    `NONE`
    `REFERENCE`
    `XREF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `matches(EStructuralFeature feature)`
    `static boolean` | `matchesCombination(EStructuralFeature feature, Collection<CDOFeatureType> featureTypes)`
    `static CDOFeatureType` | `read(String str)`
    `static Set<CDOFeatureType>` | `readCombination(String str)`
    `static CDOFeatureType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDOFeatureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `static String` | `writeCombination(Collection<CDOFeatureType> featureTypes)`

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CDOFeatureType NONE

    - #### ALL

          public static final CDOFeatureType ALL

    - #### ATTRIBUTE

          public static final CDOFeatureType ATTRIBUTE

    - #### REFERENCE

          public static final CDOFeatureType REFERENCE

    - #### CONTAINER

          public static final CDOFeatureType CONTAINER

    - #### CONTAINMENT

          public static final CDOFeatureType CONTAINMENT

    - #### XREF

          public static final CDOFeatureType XREF

  - ### Method Detail

    - #### values

          public static CDOFeatureType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOFeatureType c : CDOFeatureType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOFeatureType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### matches

          public abstract boolean matches(EStructuralFeature feature)

    - #### matchesCombination

          public static boolean matchesCombination(EStructuralFeature feature,
                                                   Collection<CDOFeatureType> featureTypes)

    - #### read

          public static CDOFeatureType read(String str)

    - #### readCombination

          public static Set<CDOFeatureType> readCombination(String str)

    - #### writeCombination

          public static String writeCombination(Collection<CDOFeatureType> featureTypes)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html